/*
  Copyright 2012 Marvin Pinto (me@marvinp.ca)

  Licensed under the Apache License, Version 2.0 (the "License"); you may not
  use this file except in compliance with the License.  You may obtain a copy of
  the License at

  http://www.apache.org/licenses/LICENSE-2.0

  Unless required by applicable law or agreed to in writing, software
  distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
  WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.  See the
  License for the specific language governing permissions and limitations under
  the License.
*/
package ca.marvinp.se.entities;

public class Post {

  private int post_id;
  private String post_type;
  private int creation_date;
  private int last_activity_date;
  private int last_edit_date;
  private int score;
  private int up_vote_count;
  private int down_vote_count;

  // Getters
  public int getPostId() { return post_id; }
  public String getPostType() { return post_type; }
  public int getCreationDate() { return creation_date; }
  public int getLastActivityDate() { return last_activity_date; }
  public int getLastEditDate() { return last_edit_date; }
  public int getScore() { return score; }
  public int getUpVoteCount() { return up_vote_count; }
  public int getDownVoteCount() { return down_vote_count; }

}

