/*
  Copyright 2012 Marvin Pinto (me@marvinp.ca)

  Licensed under the Apache License, Version 2.0 (the "License"); you may not
  use this file except in compliance with the License.  You may obtain a copy of
  the License at

  http://www.apache.org/licenses/LICENSE-2.0

  Unless required by applicable law or agreed to in writing, software
  distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
  WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.  See the
  License for the specific language governing permissions and limitations under
  the License.
*/
package ca.marvinp.se.entities;


public class Site {

  private String site_type;
  private String name;
  private String logo_url;
  private String api_site_parameter;
  private String site_url;
  private String audience;
  private String icon_url;
  private String site_state;
  private long launch_date;
  private String favicon_url;

  // Getters
  public String getSiteType() { return site_type; }
  public String getName() { return name; }
  public String getLogoUrl() { return logo_url; }
  public String getApiSiteParameter() { return api_site_parameter; }
  public String getSiteUrl() { return site_url; }
  public String getAudience() { return audience; }
  public String getIconUrl() { return icon_url; }
  public String getSiteState() { return site_state; }
  public long getLaunchDate() { return launch_date; }
  public String getFaviconUrl() { return favicon_url; }

}

