/*
  Copyright 2012 Marvin Pinto (me@marvinp.ca)

  Licensed under the Apache License, Version 2.0 (the "License"); you may not
  use this file except in compliance with the License.  You may obtain a copy of
  the License at

  http://www.apache.org/licenses/LICENSE-2.0

  Unless required by applicable law or agreed to in writing, software
  distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
  WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.  See the
  License for the specific language governing permissions and limitations under
  the License.
*/
package ca.marvinp.se.utils;

import java.text.SimpleDateFormat;

public class Date {

  public static String getFormattedDate(long epoch) {
    java.util.Date t = new java.util.Date( epoch * 1000 );
    String s = new SimpleDateFormat("MMM-dd-yyyy (HH:mm:ss)").format(t);
    return s;
  }

  public static long getCurrentDate() {
    java.util.Date now = new java.util.Date();
    return (long) (now.getTime() / 1000);
  }

}

