/*
  Copyright 2012 Marvin Pinto (me@marvinp.ca)

  Licensed under the Apache License, Version 2.0 (the "License"); you may not
  use this file except in compliance with the License.  You may obtain a copy of
  the License at

  http://www.apache.org/licenses/LICENSE-2.0

  Unless required by applicable law or agreed to in writing, software
  distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
  WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.  See the
  License for the specific language governing permissions and limitations under
  the License.
*/
package ca.marvinp.se.utils;

import ca.marvinp.se.misc.Constants;

public class ProgressBar {

  public static void update(int code) {
    // Very fancy way of either printing 'H' for an HTTP request, or '#' for
    // whatever else its doing. So at least there's a visual cue as to what's
    // taking the program so long.
    String c = "";
    switch (code) {
    case Constants.PRGB_HTTP:
      c = "H";
      break;
    case Constants.PRGB_REG:
      c = "#";
      break;
    default:
      c = "#";
      break;
    }
    System.out.print(c);
  }

}


